Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
00874 Graphics Minor Have not tried Feb 6, 2008, 08:40 Jul 2, 2021, 07:15
Tester YMI View Status Public Platform
Assigned To Resolution Open OS
Status [?] Confirmed Driver system16.cpp
Version 0.36b4 Fixed in Version Build
Fixed in Git Commit Github Pull Request #
Summary 00874: astormbl: There are some garbage graphics in the later shooting gallery stage.
Description In the later shooting gallery stage (like inside the car shop and the factory (mission 3), there are some garbage graphics (sprites of death monsters that appear where they should not)
Steps To Reproduce
Additional Information All system18.c sets merged into system16.c on 0.131u3
Github Commit
Flags
Regression Version
Affected Sets / Systems astormbl
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
5
User avatar
No.00741
Tafoid
Administrator
Apr 20, 2008, 00:55
This set is marked "GAME_IMPERFECT_GRAPHICS " flag. This bug is only here for reference when finally the driver will be worked on.
User avatar
No.19035
MetalGod
Senior Tester
Jun 25, 2021, 05:21
edited on: Jun 25, 2021, 05:22
Haze has been working on this bootleg version of the game. The video below is, by now, the only pcb video available on the internet.
It doesn't prove this reported bug because the gameplay is very short. But it proves the black backgrounds during the FPS scenes are BTANB's


I bet the three reports we have are BTANB, but we'll have to find a full gameplay of this bootleg version.
User avatar
No.19036
kmg
Tester
Jun 25, 2021, 07:25
Nice find, MetalGod. Though not related to the bug reports it also confirms several other things in Haze's stream: attract mode removes the SEGA logo, PRESS START doesn't flash, and the character's shadow does have that single funny white pixel throughout. Maybe the imperfect graphics flag is on its last legs :)
User avatar
No.19039
Haze
Senior Tester
Jun 25, 2021, 23:46
interestingly the real hardware video there has worse priorities, with some enemies in the gallery stage going behind things I wouldn't have expected them to
User avatar
No.19049
Fortuna
Tester
Jul 2, 2021, 07:15
This can be useful for running the other bootlegs, it's clear the priorities has different to the original set

(can be used in other system 18 bootlegs games)